summarylogtreecommitdiffstats
path: root/exiftool.patch
diff options
context:
space:
mode:
Diffstat (limited to 'exiftool.patch')
-rw-r--r--exiftool.patch30
1 files changed, 15 insertions, 15 deletions
diff --git a/exiftool.patch b/exiftool.patch
index 0bfa8947c254..8fa2f9470367 100644
--- a/exiftool.patch
+++ b/exiftool.patch
@@ -1,10 +1,10 @@
--- kunst/kunst 2021-02-02 12:40:50.127158706 +0100
+++ /usr/bin/kunst 2021-02-02 12:33:26.573815292 +0100
@@ -9,10 +9,12 @@
-
+
VERSION=1.3.2
COVER=/tmp/kunst.jpg
--MUSIC_DIR=~/Music/
+-MUSIC_DIR=~/Music
-SIZE=250x250
-POSITION="+0+0"
ONLINE_ALBUM_ART=false
@@ -13,11 +13,11 @@
+POSITION=${KUNST_POSITION:-"+0+0"}
+COVER_NAMES=${KUNST_COVER_NAMES:-"folder|cover|front"}
+COVER_EXT=${KUNST_COVER_EXT:-"jpg|png"}
-
+
show_help() {
printf "%s" "\
@@ -138,33 +140,52 @@
-
+
# Extract the album art from the mp3 file and dont show the messsy
# output of ffmpeg
- ffmpeg -i "$MUSIC_DIR$(mpc current -f %file%)" "$COVER" -y &> /dev/null
@@ -38,11 +38,11 @@
+ else
+ ffmpeg -i "$MUSIC_DIR/$(mpc current -f %file%)" "$COVER" -y &> /dev/null
+ fi
-
+
- # Get the status of the previous command
- STATUS=$?
+ STATUS=$?
-
+
# Check if the file has a embbeded album art
if [ "$STATUS" -eq 0 ];then
- [ ! "$SILENT" ] && echo "kunst: extracted album art"
@@ -57,7 +57,7 @@
+ [ "$DIR" == "$MUSIC_DIR"/. ] && ARTLESS=true && return 1
+
+ [ ! "$SILENT" ] && echo "kunst: inspecting $DIR"
-
+
# Check if there is an album cover/art in the folder.
- # Look at issue #9 for more details
- for CANDIDATE in "$DIR/cover."{png,jpg}; do
@@ -78,7 +78,7 @@
+ fi
+ done < <(find "$DIR" -type f | grep -i -E -- "($COVER_NAMES).($COVER_EXT)")
fi
-
+
if [ "$STATUS" -ne 0 ];then
- [ ! "$SILENT" ] && echo "error: file does not have an album art"
+ [ ! "$SILENT" ] && echo "error: file does not have an album art"
@@ -88,31 +88,31 @@
@@ -200,10 +221,6 @@
}
done
-
+
- [ "$KUNST_MUSIC_DIR" != "" ] && MUSIC_DIR="$KUNST_MUSIC_DIR"
- [ "$KUNST_SIZE" != "" ] && SIZE="$KUNST_SIZE"
- [ "$KUNST_POSITION" != "" ] && POSITION="$KUNST_POSITION"
-
# Flag to run some commands only once in the loop
FIRST_RUN=true
-
+
@@ -211,12 +228,9 @@
update_cover
-
+
if [ "$ARTLESS" == true ];then
- # Dhange the path to COVER because the music note
- # image is a png not jpg
- COVER=/tmp/kunst.png
-
+
# Decode the base64 encoded image and save it
- # to /tmp/kunst.png
+ # to /tmp/kunst.jpg
echo "$MUSIC_NOTE" | base64 --decode > "$COVER"
fi
-
+
@@ -229,8 +243,9 @@
FIRST_RUN=false
-
+
# Display the album art using sxiv
- sxiv -g "$SIZE$POSITION" -b "$COVER" -N "Kunst" &
-
@@ -124,7 +124,7 @@
echo $! >/tmp/kunst.pid
@@ -251,4 +266,6 @@
trap "" SIGTSTP
-
+
trap pre_exit EXIT
+trap 'exit 1' TERM HUP INT
+trap 'exit 0' USR1